Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.annotations
Interface XYAnnotation

All Known Implementing Classes:
  AbstractXYAnnotation, XYBoxAnnotation, XYDrawableAnnotation, XYImageAnnotation, XYLineAnnotation, XYPointerAnnotation, XYPolygonAnnotation, XYShapeAnnotation, XYTextAnnotation

    public interface XYAnnotation

The interface that must be supported by annotations that are to be added to an `XYPlot`.

Method Summary
`void` | `draw(java.awt.Graphics2D g2, XYPlot plot, java.awt.geom.Rectangle2D dataArea, ValueAxis domainAxis, ValueAxis rangeAxis, int rendererIndex, PlotRenderingInfo info)` Draws the annotation.

Method Detail

### draw

    void draw(java.awt.Graphics2D g2,
              XYPlot plot,
              java.awt.geom.Rectangle2D dataArea,
              ValueAxis domainAxis,
              ValueAxis rangeAxis,
              int rendererIndex,
              PlotRenderingInfo info)

  Draws the annotation.

  Parameters:
    `g2` - the graphics device.
    `plot` - the plot.
    `dataArea` - the data area.
    `domainAxis` - the domain axis.
    `rangeAxis` - the range axis.
    `rendererIndex` - the renderer index.
    `info` - an optional info object that will be populated with entity information.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD